org.apache.xmlbeans.impl.tool

## Class PrettyPrinter

- java.lang.Object
- - org.apache.xmlbeans.impl.tool.PrettyPrinter

    public class PrettyPrinter
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PrettyPrinter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `indent(String xmldoc)`
`static void` `main(String[] args)`
`static void` `printUsage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrettyPrinter

    public PrettyPrinter()

### Method Detail

#### printUsage

    public static void printUsage()

#### main

    public static void main(String[] args)

#### indent

    public static String indent(String xmldoc)
                         throws IOException,
                                XmlException

Throws:
  `IOException`
  `XmlException`